summaryrefslogtreecommitdiff
path: root/Dh_Haskell.sh
diff options
context:
space:
mode:
authorJoachim Breitner <mail@joachim-breitner.de>2015-11-02 19:16:11 +0100
committerJoachim Breitner <mail@joachim-breitner.de>2015-11-02 19:16:11 +0100
commite7defad3799eaf9855574ff9495902795fe5f2ae (patch)
treeb33dc7de0626bb0b2a37b5427ea5b68a051f017a /Dh_Haskell.sh
parent781599d59e66dcb5bfc4bfeb747c651b258c46e7 (diff)
Abort if haddock fails. Closes: #803687. Thanks to – you guessed it – Chris Lamb for the patch.
Diffstat (limited to 'Dh_Haskell.sh')
-rw-r--r--Dh_Haskell.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/Dh_Haskell.sh b/Dh_Haskell.sh
index d3fd840..bcb63f1 100644
--- a/Dh_Haskell.sh
+++ b/Dh_Haskell.sh
@@ -431,8 +431,11 @@ haddock_recipe(){
# local PS5=$PS4; PS4=" + haddock_recipe> "; set -x
hc=`packages_hc`
haddock=`hc_haddock ${hc}`
- [ ! -x /usr/bin/${haddock} ] || run ${DEB_SETUP_BIN_NAME} haddock --builddir=dist-${hc} --with-haddock=/usr/bin/${haddock} --with-ghc=${hc} --verbose=2 ${DEB_HADDOCK_OPTS} || \
- echo "Haddock failed (no modules?), creating empty documentation package."
+ if [ -x /usr/bin/${haddock} ] && \
+ ! run ${DEB_SETUP_BIN_NAME} haddock --builddir=dist-${hc} --with-haddock=/usr/bin/${haddock} --with-ghc=${hc} --verbose=2 ${DEB_HADDOCK_OPTS} ; then
+ echo "Haddock failed (no modules?), refusing to create empty documentation package."
+ exit 1
+ fi
# PS4=$PS5
}